您现在的位置是:首页  >  Linux >  Linux/Unix Linux汇总

linux下搭建svn教程

博主 添加时间:2016-11-22 12:02:52 【Linux汇总】 热度:1190人已围观

linux下SVN服务器如何搭建和使用?说到SVN服务器,想必大家都知道,可以是在LINUX下如何搭建SVN服务器呢?那么今天给大家分享一下LINUX下搭建SVN服务器的思路!

1 安装SVN

yum -y install subversion

2 创建版本库目录

mkdir svndata
svnadmin create yankee

blob.png

3 修改新建版本文件夹conf下的配置文件

在这里有三个文件:authz  passwd  svnserve.conf

svnserve.conf修改实例图

blob.png


passwd修改实例图 前面是账号 后面的是密码

blob.png

authz 修改示例图 组下面有谁 组的权限

blob.png

这里已经配置完成了,重启SVN

svnserve -d -r /home/svndata 启动svn

然后就可以测试使用

blob.png


如果svn不能重启 的话

[root@iZm5e2o440hd7o4obazr0dZ wwwroot]# ps aux | grep svn
root      4872  0.0  0.0 112668   976 pts/0    S+   15:14   0:00 grep --color=auto svn
root      9179  0.0  0.0 162184   720 ?        Ss   1月05   0:00 svnserve -d -r /home/wwwroot/svndata
[root@iZm5e2o440hd7o4obazr0dZ wwwroot]# kill -9 9179
[root@iZm5e2o440hd7o4obazr0dZ wwwroot]# svnserve -d -r /home/wwwroot/svndata
[root@iZm5e2o440hd7o4obazr0dZ wwwroot]# svnserve -d -r /home/wwwroot/svndata
svnserve: E000098: 不能绑定服务器套接字: 地址已在使用

希望对大家有帮助!李宗洋博客!


  • 相关文章
  • Linux惊现年度最大安全漏洞:Bash Bug(Shellshock)

    这个漏洞起源是日前Red Hat安全团队在 Linux 中广泛使用的Bash shell中发现了一个隐晦而危险的非常严重安全漏洞(漏洞参考https://access.redhat.com/security/cve/CVE-2014-6271 ),黑客可以利用该Bash漏洞完全控制目标系统并发起攻击。该漏洞被称为“Bash Bug”或“Shellshock”。 Bash是用于控制Linux计算机命令提示符的软件。Bash漏洞出现后,黑客可以利用它对目标计算机系统进行完全控制。而且方法非常简单,只要直接剪切和粘贴一行软件代码,就能攻击目标计算机。利用Bash漏洞的低门槛,很多人的电脑都可能会受到黑客的攻击。

  • Linux防火墙:iptables禁IP与解封IP常用命令

    在Linux服务器被攻击的时候,有的时候会有几个主力IP。如果能拒绝掉这几个IP的攻击的话,会大大减轻服务器的压力,说不定服务器就能恢复正常了。 在Linux下封停IP,有封杀网段和封杀单个IP两种形式。一般来说,现在的攻击者不会使用一个网段的IP来攻击(太招摇了),IP一般都是散列的。于是下面就详细说明一下封杀单个IP的命令,和解封单个IP的命令。

  • linux下找回root密码和修改root密码方法

    这两新弄了一个景安的快云vps,貌似出了许多问题。Linux系统维护起来真的是麻烦啊。 当然关键是自己有很多不懂的东西,连最基本的一些Linux命令也不是很熟悉。每次都需要去度娘找答案。每次安装完系统第一件事情当然就是修改root密码了。弄了几次就小记一下吧。还有就是经常配置一些.htaccess文件来优化网站,设置网站的301或者是伪静态什么的。这里面也有许多技巧,需要的朋友可以去看:

  • yum 出现错误File “/usr/bin/yum”, line 30

    今天用yum在安装ansible的时候,提示有错误百度一下原因 这是因为yum采用python作为命令解释器,这可以从/usr/bin/yum文件中第一行 #!/usr/bin/python发现。而python版本之间兼容性不太好,使得2.X版本与3.0版本之间存在语法不一致问题。而CentOS 5自带的yum采用的是python2.6,当系统将python升级到3.0后,出现语法解释错误,最主要是之前我升级了python 2种解决方法

  • Linux 标准目录结构

    /:根目录,一般根目录下只存放目录,不要存放文件,/etc、/bin、/dev、/lib、/sbin应该和根目录放置在一个分区中 /bin:/usr/bin:可执行二进制文件的目录,如常用的命令ls、tar、mv、cat等。 /boot:放置linux系统启动时用到的一些文件。/boot/vmlinuz为linux的内核文件,以及/boot/gurb。建议单独分区,分区大小100M即可 /dev:存放linux系统下的设备文件,访问该目录下某个文件,相当于访问某个设备,常用的是挂载光驱mount /dev/cdrom /mnt。 /etc:系统配置文件存放的目录,不建议在此目录下存放可执行文件,重要的配置文件有/etc/inittab、/etc/fstab、/etc/init.d、/etc/X11、/etc/sysconfig、/etc/xinetd.d修改配置文件之前记得备份。

文章评论

博客名片

职业:PHP程序员

现居:河南省-洛阳市

博客地址:www.lizongyang.cn

Email:5708837@qq.com

站点信息

  • 建站时间:2019-03-25
  • 网站程序:李宗洋博客
  • 联系电话:15888888888
  • 文章统计4084篇文章
  • 标签管理标签云
  • 微信公众号:扫描二维码,关注我们

打赏本站

  • 如果你觉得本站很棒,可以通过扫码支付打赏哦!
  • 微信扫码:你说多少就多少~
  • 支付宝扫码:你说多少就多少~

客服在线

服务时间

周一至周日 9:00-21:00